<div [hidden]="!showSpinner">
  <app-spinner></app-spinner>
</div>
<div id="incidents-list">
  <table class="table table-hover table-striped table-bordered table-sm">
      <thead>
      <tr>
          <th [hidden]="true">Id</th>
          <th>Date</th>
          <th>Time</th>
          <th>Type</th>
          <th>Custom Type</th>
          <th>Qty.</th>
          <th>Resp.</th>
          <th>Guards on-duty</th>
          
          <th style="text-align:center">Action</th>
      </tr>
      </thead>
      <tbody>
      <tr [hidden]="totalItems > 0">
              <td colspan="9" style="text-align: center;">
                  No Records to show
              </td>
      </tr>
      <tr *ngFor="let item of packageData | async | 
      paginate: { itemsPerPage: itemPerPage, currentPage: currentPage, totalItems: totalItems }"
      style="cursor:pointer" [ngClass]="getIfReportRequired(item) ? 'table-danger':''">
          <td [hidden]="true">{{item.Id}}</td>
          <td>{{item.Time | date: 'dd/MM/yyyy'}}</td>          
          <td>{{item.Time | date: 'HH:mm:ss'}}</td>
          <td>{{item.IncidentType.Name}}</td>
          <td>{{item.CustomType.Name}}</td>
          <td>{{item.Quantity}}</td>
          <td>{{item.PoliceResponse}}</td>         
          <td>
              <div class="chip-small" *ngFor="let item2 of item.IncidentGuard">
                  <img src="../assets/images/img_avatar.png" alt="Person">
                  {{item2.Guard.Name}}                                            
              </div>            
          </td>  
          <td style="text-align:center">
              <a (click)="editIncident(item.Id)"><i class="warning fa fa-pencil"></i></a> &nbsp;
          </td>
      </tr>  
  </table>
  <br />
  <div class="pull-right">
      <pagination-controls (pageChange)="loadData($event)"></pagination-controls> 
  </div>
</div>
